View Issue Details

IDProjectCategoryView StatusLast Update
0000709OBS-StudioVideo Capture Device Source (Windows)public2018-04-03 22:32
ReporterGuido VisserAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
PlatformOBS StudioOSWindowsOS Version10
Product Version0.16.2 
Target VersionFixed in Version 
Summary0000709: DV Camera(s) do not work
DescriptionI have 2 DV Camcorders connected via FireWire to a PC with OBS Studio. The camera's are showing up as video inputs, but when I select them, I don't see anything, just a grey area.

However, the 2 camcorders are working flawlessly in OBS Classic.

I went to the chat with this problem and talked to c3r1c3_Win and @Osiris. @Osiris said: "seems OBS Classic does know about the dvsd format that driver is using"

Some screenshots to clear up things:

OBS Studio:
https://gyazo.com/56b297a1a5118e45cced9591412b14ba

OBS Classic:
https://gyazo.com/5de320fdff1caa605528977a0d045fd6
https://gyazo.com/4e7b0c489ccf269f9203a9d55f1149b5
Steps To ReproduceHook up a camcorder via FireWire I guess.
TagsNo tags attached.

Relationships

has duplicate 0000912 closed Sony HDV Camcorder won't show image through firewire 
has duplicate 0001090 closedFenrir Broken DV cam support by "Video Capture Device" on OBS Studio (OBS Classic works!) 
has duplicate 0001212 closed Microsoft DV source not find 
related to 0001089 new DV Cam support. 

Activities

dodgepong

2017-01-03 23:01

administrator   ~0001540

For the sake of a complete record, can you please attach OBS logs of it working in OBS Classic but not working on OBS Studio?

Guido Visser

2017-01-04 16:58

reporter  

OBS-Classic - 2017-01-04-1756-54.log (6,269 bytes)

Guido Visser

2017-01-04 16:59

reporter  

OBS-Studio - 2017-01-04 17-53-44.txt (10,565 bytes)
17:53:44.368: CPU Name: Intel(R) Core(TM) i5 CPU         660  @ 3.33GHz
17:53:44.368: CPU Speed: 3345MHz
17:53:44.368: Physical Cores: 2, Logical Cores: 4
17:53:44.368: Physical Memory: 3574MB Total, 2037MB Free
17:53:44.368: Windows Version: 10.0 Build 14393 (revision: 576; 64-bit)
17:53:44.368: Running as administrator: false
17:53:44.368: Aero is Enabled (Aero is always on for windows 8 and above)
17:53:44.369: Portable mode: false
17:53:44.384: OBS 17.0.0 (64bit, windows)
17:53:44.385: ---------------------------------
17:53:44.386: ---------------------------------
17:53:44.386: audio settings reset:
17:53:44.386: 	samples per sec: 44100
17:53:44.386: 	speakers:        2
17:53:44.696: Warning: The OpenGL renderer is currently in use.  On windows, the OpenGL renderer can decrease capture performance due to the lack of specific features used to maximize capture performance.  The Direct3D 11 renderer is recommended instead.
17:53:44.716: ---------------------------------
17:53:44.716: video settings reset:
17:53:44.716: 	base resolution:   1440x900
17:53:44.716: 	output resolution: 1152x720
17:53:44.716: 	downscale filter:  Bicubic
17:53:44.716: 	fps:               30/1
17:53:44.716: 	format:            NV12
17:53:44.717: ---------------------------------
17:53:44.724: [CoreAudio encoder]: Adding CoreAudio AAC encoder
17:53:44.725: [AMF Encoder] Unable to load 'amfrt64.dll', error code 126.
17:53:44.725: [AMF Encoder] Unable to load 'amfrt64.dll', error code 126.
17:53:44.734: Required module function 'obs_module_load' in module '../../obs-plugins/64bit/libcef.dll' not found, loading of module failed
17:53:44.735: Required module function 'obs_module_load' in module '../../obs-plugins/64bit/libEGL.dll' not found, loading of module failed
17:53:44.735: Required module function 'obs_module_load' in module '../../obs-plugins/64bit/libGLESv2.dll' not found, loading of module failed
17:53:44.736: Failed to load 'en-US' text for module: 'obs-browser.dll'
17:53:44.736: [browser_source: 'Version: 1.27.0']
17:53:44.738: LoadLibrary failed for 'nvEncodeAPI64.dll': The specified module could not be found.
17:53:44.738:  (126)
17:53:44.962: VLC found, VLC video source enabled
17:53:44.968: No blackmagic support
17:53:44.977: ---------------------------------
17:53:44.977:   Loaded Modules:
17:53:44.977:     win-wasapi.dll
17:53:44.977:     win-mf.dll
17:53:44.977:     win-dshow.dll
17:53:44.977:     win-decklink.dll
17:53:44.977:     win-capture.dll
17:53:44.977:     vlc-video.dll
17:53:44.977:     text-freetype2.dll
17:53:44.977:     rtmp-services.dll
17:53:44.977:     obs-x264.dll
17:53:44.977:     obs-transitions.dll
17:53:44.977:     obs-text.dll
17:53:44.977:     obs-qsv11.dll
17:53:44.977:     obs-outputs.dll
17:53:44.977:     obs-filters.dll
17:53:44.977:     obs-ffmpeg.dll
17:53:44.977:     obs-browser.dll
17:53:44.977:     image-source.dll
17:53:44.977:     frontend-tools.dll
17:53:44.977:     enc-amf.dll
17:53:44.977:     coreaudio-encoder.dll
17:53:44.977: ==== Startup complete ===============================================
17:53:44.988: Service '' not found
17:53:44.997: Switched to Preview/Program mode
17:53:44.997: ------------------------------------------------
17:53:44.997: All scene data cleared
17:53:44.997: ------------------------------------------------
17:53:45.037: WASAPI: Device 'Speakers (C-Media USB Headphone Set  )' initialized
17:53:45.075: adding 23 milliseconds of audio buffering, total audio buffering is now 23 milliseconds
17:53:45.109: WASAPI: Device 'Microphone (HD Pro Webcam C920)' initialized
17:53:45.216: DShow: Could not get closest video media type
17:53:45.216: Speaker: device.SetVideoConfig failed
17:53:45.216: Speaker: Video configuration failed
17:53:45.217: Switched to scene 'Scene'
17:53:45.219: ------------------------------------------------
17:53:45.219: Loaded scenes:
17:53:45.219: - scene 'Scene':
17:53:45.219: ------------------------------------------------
17:53:45.606: Update check: last known remote version is 17.0.0
17:53:49.285: adding 23 milliseconds of audio buffering, total audio buffering is now 46 milliseconds
17:53:54.054: Spreker: DecodeDeviceId failed
17:53:54.054: Spreker: Video configuration failed
17:53:54.055: User added source 'Spreker' (dshow_input) to scene 'Scene'
17:53:54.314: ---------------------------------
17:53:54.314: [DShow Device: 'Spreker'] settings updated: 
17:53:54.314: 	video device: Kinoni Video Source
17:53:54.314: 	video path: \\?\root#media#0003#{65e8773d-8f56-11d0-a3b9-00a0c9223196}\global
17:53:54.314: 	resolution: 640x480
17:53:54.314: 	fps: 29.97 (interval: 333667)
17:53:54.314: 	format: XRGB
17:53:54.316: DShow: HDevice::ConnectPins: failed to connect pins (0x80040207): The owner SID on a per-user subscription doesn't exist
17:53:54.316: 
17:53:58.875: DShow: Could not get closest video media type
17:53:58.875: Spreker: device.SetVideoConfig failed
17:53:58.875: Spreker: Video configuration failed
17:54:03.208: DShow: Could not find filter to open dialog type: 0 with
17:54:04.479: DShow: Failed to find crossbar (0x80004003): Invalid pointer
17:54:04.479: 
17:54:14.759: ==== Shutting down ==================================================
17:54:14.763: Switched to scene '(null)'
17:54:14.767: WASAPI: Device 'Speakers (C-Media USB Headphone Set  )' Terminated
17:54:14.799: WASAPI: Device 'Microphone (HD Pro Webcam C920)' Terminated
17:54:14.952: All scene data cleared
17:54:14.952: ------------------------------------------------
17:54:15.002: Freeing OBS context data
17:54:15.041: == Profiler Results =============================
17:54:15.041: run_program_init: 944.142 ms
17:54:15.041:  ┣OBSApp::AppInit: 3.131 ms
17:54:15.041:  ┃ ┗OBSApp::InitLocale: 1.397 ms
17:54:15.041:  ┗OBSApp::OBSInit: 930.817 ms
17:54:15.041:    ┣obs_startup: 1.757 ms
17:54:15.041:    ┗OBSBasic::OBSInit: 887.191 ms
17:54:15.041:      ┣OBSBasic::InitBasicConfig: 0.773 ms
17:54:15.041:      ┣OBSBasic::ResetAudio: 0.384 ms
17:54:15.041:      ┣OBSBasic::ResetVideo: 330.839 ms
17:54:15.041:      ┣OBSBasic::InitOBSCallbacks: 0.017 ms
17:54:15.041:      ┣OBSBasic::InitHotkeys: 0.056 ms
17:54:15.041:      ┣obs_load_all_modules: 260.49 ms
17:54:15.041:      ┃ ┣obs_init_module(coreaudio-encoder.dll): 5.827 ms
17:54:15.041:      ┃ ┣obs_init_module(enc-amf.dll): 0.605 ms
17:54:15.041:      ┃ ┣obs_init_module(frontend-tools.dll): 2.165 ms
17:54:15.041:      ┃ ┣obs_init_module(image-source.dll): 0.004 ms
17:54:15.041:      ┃ ┣obs_init_module(obs-browser.dll): 0.083 ms
17:54:15.041:      ┃ ┣obs_init_module(obs-ffmpeg.dll): 1.031 ms
17:54:15.041:      ┃ ┣obs_init_module(obs-filters.dll): 0.016 ms
17:54:15.041:      ┃ ┣obs_init_module(obs-outputs.dll): 0.006 ms
17:54:15.041:      ┃ ┣obs_init_module(obs-qsv11.dll): 214.75 ms
17:54:15.041:      ┃ ┣obs_init_module(obs-text.dll): 0.377 ms
17:54:15.041:      ┃ ┣obs_init_module(obs-transitions.dll): 0.006 ms
17:54:15.041:      ┃ ┣obs_init_module(obs-x264.dll): 0.002 ms
17:54:15.041:      ┃ ┣obs_init_module(rtmp-services.dll): 0.575 ms
17:54:15.041:      ┃ ┣obs_init_module(text-freetype2.dll): 0.107 ms
17:54:15.041:      ┃ ┣obs_init_module(vlc-video.dll): 0.743 ms
17:54:15.041:      ┃ ┣obs_init_module(win-capture.dll): 0.287 ms
17:54:15.041:      ┃ ┣obs_init_module(win-decklink.dll): 3.611 ms
17:54:15.041:      ┃ ┣obs_init_module(win-dshow.dll): 1.947 ms
17:54:15.041:      ┃ ┣obs_init_module(win-mf.dll): 1.913 ms
17:54:15.041:      ┃ ┣obs_init_module(win-wasapi.dll): 0.009 ms
17:54:15.041:      ┃ ┗reset_win32_symbol_paths: 0.195 ms
17:54:15.041:      ┣OBSBasic::ResetOutputs: 10.44 ms
17:54:15.041:      ┣OBSBasic::CreateHotkeys: 0.036 ms
17:54:15.041:      ┣OBSBasic::InitService: 0.184 ms
17:54:15.041:      ┣OBSBasic::InitPrimitives: 6.571 ms
17:54:15.041:      ┗OBSBasic::Load: 222.63 ms
17:54:15.041: obs_hotkey_thread(25 ms): min=0.002 ms, median=0.004 ms, max=2.849 ms, 99th percentile=0.028 ms, 100% below 25 ms
17:54:15.042: audio_thread(Audio): min=0 ms, median=0.077 ms, max=0.724 ms, 99th percentile=0.135 ms
17:54:15.042: obs_video_thread(33.3333 ms): min=1.455 ms, median=2.081 ms, max=110.859 ms, 99th percentile=11.32 ms, 99.5585% below 33.333 ms
17:54:15.042:  ┣tick_sources: min=0.001 ms, median=0.008 ms, max=99.991 ms, 99th percentile=0.014 ms
17:54:15.042:  ┣render_displays: min=0.054 ms, median=1.159 ms, max=62.516 ms, 99th percentile=2.918 ms
17:54:15.042:  ┗output_frame: min=0.779 ms, median=0.936 ms, max=18.003 ms, 99th percentile=8.966 ms
17:54:15.042:    ┣gs_context(video->graphics): min=0.422 ms, median=0.497 ms, max=17.624 ms, 99th percentile=8.138 ms
17:54:15.042:    ┃ ┣render_video: min=0.358 ms, median=0.428 ms, max=9.828 ms, 99th percentile=0.844 ms
17:54:15.042:    ┃ ┃ ┣render_main_texture: min=0.055 ms, median=0.063 ms, max=1.439 ms, 99th percentile=0.147 ms
17:54:15.042:    ┃ ┃ ┣render_output_texture: min=0.005 ms, median=0.166 ms, max=3.521 ms, 99th percentile=0.301 ms
17:54:15.042:    ┃ ┃ ┣render_convert_texture: min=0.002 ms, median=0.116 ms, max=8.717 ms, 99th percentile=0.216 ms
17:54:15.042:    ┃ ┃ ┗stage_output_texture: min=0 ms, median=0.069 ms, max=0.391 ms, 99th percentile=0.129 ms
17:54:15.042:    ┃ ┣download_frame: min=0 ms, median=0.005 ms, max=16.962 ms, 99th percentile=7.393 ms
17:54:15.042:    ┃ ┗gs_flush: min=0.013 ms, median=0.016 ms, max=1.229 ms, 99th percentile=0.062 ms
17:54:15.042:    ┗output_video_data: min=0.354 ms, median=0.418 ms, max=0.93 ms, 99th percentile=0.604 ms
17:54:15.042: video_thread(video): min=0.001 ms, median=0 ms, max=0.036 ms, 99th percentile=0.002 ms
17:54:15.042: =================================================
17:54:15.042: == Profiler Time Between Calls ==================
17:54:15.042: obs_hotkey_thread(25 ms): min=24.918 ms, median=25.017 ms, max=27.52 ms, 98.1178% within ±2% of 25 ms (0% lower, 1.88216% higher)
17:54:15.042: obs_video_thread(33.3333 ms): min=9.232 ms, median=33.333 ms, max=110.874 ms, 98.7845% within ±2% of 33.333 ms (0.662983% lower, 0.552486% higher)
17:54:15.042: =================================================
17:54:15.060: Number of memory leaks: 1

Guido Visser

2017-01-04 17:10

reporter   ~0001542

I didn't configure OBS Studio because there was nothing to configure since the camera's didn't work. I took these steps with OBS Studio:

1. Opened OBS Studio
2. Created a new Video Capture Device named 'Speaker'
3. Changed the video source from 'Kinoni Video Source' to 'Microsoft DV Camera and VCR'
4. Clicked on 'Configure Video' (nothing happened)
5. Clicked on 'Configure Crossbar' (nothing happened)
6. Clicked on 'OK' to close the properties window.
7. Closed OBS Studio

Steps with OBS Classic:

Since I already set this up to stream every sunday, I didn't want to change any settings:

1. Started OBS Classic
2. Clicked on 'Preview Stream'
3. Right clicked on 'Beamer' source and clicked 'Properties'. (This is one of the 'Microsoft DV Camera and VCR' sources)
4. Clicked on 'Configure video'. (a properties screen popped up)
5. Clicked on 'OK'.
6. Clicked on 'Stop Preview'.
7. Closed OBS Classic.

Hopefully this helps!

David Carlstrom

2017-01-20 18:29

reporter  

2017-01-20-1308-43.log (10,442 bytes)

David Carlstrom

2017-01-20 18:29

reporter  

2017-01-20 13-19-11.txt (12,215 bytes)
13:19:12.003: CPU Name: Intel(R) Core(TM) i7 CPU       Q 720  @ 1.60GHz
13:19:12.003: CPU Speed: 1596MHz
13:19:12.003: Physical Cores: 4, Logical Cores: 8
13:19:12.003: Physical Memory: 4086MB Total, 2491MB Free
13:19:12.003: Windows Version: 6.1 Build 7601 (revision: 23572; 64-bit)
13:19:12.003: Running as administrator: false
13:19:12.003: Aero is Enabled
13:19:12.004: Portable mode: false
13:19:12.017: OBS 17.0.2 (64bit, windows)
13:19:12.017: ---------------------------------
13:19:12.018: ---------------------------------
13:19:12.018: audio settings reset:
13:19:12.018: 	samples per sec: 48000
13:19:12.018: 	speakers:        2
13:19:12.020: ---------------------------------
13:19:12.020: Initializing D3D11..
13:19:12.020: Available Video Adapters: 
13:19:12.024: 	Adapter 1: NVIDIA GeForce GT 230M  
13:19:12.024: 	  Dedicated VRAM: 1026031616
13:19:12.024: 	  Shared VRAM:    1874262016
13:19:12.024: 	  output 1: pos={0, 0}, size={1366, 768}, attached=true
13:19:12.031: Loading up D3D11 on adapter NVIDIA GeForce GT 230M   (0)
13:19:12.047: D3D11 loaded sucessfully, feature level used: 41216
13:19:13.692: ---------------------------------
13:19:13.692: video settings reset:
13:19:13.692: 	base resolution:   710x400
13:19:13.692: 	output resolution: 640x360
13:19:13.692: 	downscale filter:  Bicubic
13:19:13.692: 	fps:               30/1
13:19:13.692: 	format:            NV12
13:19:13.695: ---------------------------------
13:19:13.709: [CoreAudio encoder]: Adding CoreAudio AAC encoder
13:19:13.712: [AMF Encoder] Unable to load 'amfrt64.dll', error code 126.
13:19:13.730: Required module function 'obs_module_load' in module '../../obs-plugins/64bit/libcef.dll' not found, loading of module failed
13:19:13.731: Required module function 'obs_module_load' in module '../../obs-plugins/64bit/libEGL.dll' not found, loading of module failed
13:19:13.732: Required module function 'obs_module_load' in module '../../obs-plugins/64bit/libGLESv2.dll' not found, loading of module failed
13:19:13.733: Failed to load 'en-US' text for module: 'obs-browser.dll'
13:19:13.733: [browser_source: 'Version: 1.25.0']
13:19:13.736: LoadLibrary failed for 'nvEncodeAPI64.dll': The specified module could not be found.
13:19:13.736:  (126)
13:19:13.878: Couldn't find VLC installation, VLC video source disabled
13:19:13.893: No blackmagic support
13:19:13.901: [Media Foundation encoder]: plugin is disabled for performance reasons on Windows versions prior to 8
13:19:13.905: ---------------------------------
13:19:13.905:   Loaded Modules:
13:19:13.905:     win-wasapi.dll
13:19:13.905:     win-mf.dll
13:19:13.905:     win-dshow.dll
13:19:13.905:     win-decklink.dll
13:19:13.905:     win-capture.dll
13:19:13.905:     vlc-video.dll
13:19:13.905:     text-freetype2.dll
13:19:13.905:     rtmp-services.dll
13:19:13.905:     obs-x264.dll
13:19:13.905:     obs-transitions.dll
13:19:13.905:     obs-text.dll
13:19:13.905:     obs-qsv11.dll
13:19:13.905:     obs-outputs.dll
13:19:13.905:     obs-filters.dll
13:19:13.905:     obs-ffmpeg.dll
13:19:13.905:     obs-browser.dll
13:19:13.905:     image-source.dll
13:19:13.905:     frontend-tools.dll
13:19:13.905:     enc-amf.dll
13:19:13.905:     coreaudio-encoder.dll
13:19:13.905: ==== Startup complete ===============================================
13:19:13.928: All scene data cleared
13:19:13.928: ------------------------------------------------
13:19:14.137: WASAPI: Device 'Speakers and Dual Headphones (IDT High Definition Audio CODEC)' initialized
13:19:14.162: WASAPI: Device 'External Mic (IDT High Definition Audio CODEC)' initialized
13:19:14.163: Source ID 'vlc_source' not found
13:19:14.163: Failed to create source 'Disclaimer'!
13:19:14.179: adding 42 milliseconds of audio buffering, total audio buffering is now 42 milliseconds
13:19:14.186: WASAPI: Device 'Line In (BEHRINGER USB WDM AUDIO 2.8.40)' initialized
13:19:14.187: Source ID 'vlc_source' not found
13:19:14.187: Failed to create source 'And now live...'!
13:19:14.188: Source ID 'vlc_source' not found
13:19:14.188: Failed to create source 'Poulenc'!
13:19:14.258: Switched to scene 'SceneLogo'
13:19:14.258: ------------------------------------------------
13:19:14.258: Loaded scenes:
13:19:14.258: - scene 'SceneLogo':
13:19:14.258:     - source: 'Logo' (image_source)
13:19:14.258: - scene 'ScenePoulenc':
13:19:14.258:     - source: 'Poulenc' (vlc_source)
13:19:14.258:     - source: 'Logo' (image_source)
13:19:14.258:     - source: 'PoulencText' (text_gdiplus)
13:19:14.258: - scene 'SceneAndnowlive':
13:19:14.258:     - source: 'And now live...' (vlc_source)
13:19:14.258:     - source: 'Logo' (image_source)
13:19:14.258: - scene 'Scene x4':
13:19:14.258:     - source: 'Behringer' (wasapi_input_capture)
13:19:14.258:     - source: 'Cam_1' (dshow_input)
13:19:14.258:     - source: 'Cam_2' (dshow_input)
13:19:14.258:     - source: 'Cam_3' (dshow_input)
13:19:14.258:     - source: 'Cam_4' (dshow_input)
13:19:14.258: - scene 'Scene 1':
13:19:14.258:     - source: 'Behringer' (wasapi_input_capture)
13:19:14.258:     - source: 'Cam_1' (dshow_input)
13:19:14.258: - scene 'Scene 2':
13:19:14.258:     - source: 'Behringer' (wasapi_input_capture)
13:19:14.258:     - source: 'Cam_2' (dshow_input)
13:19:14.259: - scene 'Scene 3':
13:19:14.259:     - source: 'Behringer' (wasapi_input_capture)
13:19:14.259:     - source: 'Cam_3' (dshow_input)
13:19:14.259: - scene 'Scene 4':
13:19:14.259:     - source: 'Behringer' (wasapi_input_capture)
13:19:14.259:     - source: 'Cam_4' (dshow_input)
13:19:14.259: - scene 'SceneDisclaimer':
13:19:14.259:     - source: 'Disclaimer' (vlc_source)
13:19:14.259:     - source: 'Logo' (image_source)
13:19:14.259: ------------------------------------------------
13:19:14.370: Cam_1: Video format match failed
13:19:14.370: Cam_1: Video configuration failed
13:19:14.389: DShow: Could not get closest video media type
13:19:14.389: Cam_2: device.SetVideoConfig failed
13:19:14.389: Cam_2: Video configuration failed
13:19:14.411: DShow: Could not get closest video media type
13:19:14.411: Cam_3: device.SetVideoConfig failed
13:19:14.411: Cam_3: Video configuration failed
13:19:14.441: DShow: Could not get closest video media type
13:19:14.441: Cam_4: device.SetVideoConfig failed
13:19:14.441: Cam_4: Video configuration failed
13:19:14.608: Update check: last known remote version is 17.0.2
13:19:18.227: User switched to scene 'Scene 1'
13:19:20.677: User switched to scene 'Scene 2'
13:19:22.565: User switched to scene 'Scene 3'
13:19:23.869: User switched to scene 'Scene 4'
13:19:25.930: User switched to scene 'SceneLogo'
13:19:30.185: ==== Shutting down ==================================================
13:19:30.191: Switched to scene '(null)'
13:19:30.195: WASAPI: Device 'Line In (BEHRINGER USB WDM AUDIO 2.8.40)' Terminated
13:19:30.203: WASAPI: Device 'Speakers and Dual Headphones (IDT High Definition Audio CODEC)' Terminated
13:19:30.209: WASAPI: Device 'External Mic (IDT High Definition Audio CODEC)' Terminated
13:19:30.215: All scene data cleared
13:19:30.215: ------------------------------------------------
13:19:30.279: Freeing OBS context data
13:19:30.338: == Profiler Results =============================
13:19:30.338: run_program_init: 2357.06 ms
13:19:30.339:  ┣OBSApp::AppInit: 2.291 ms
13:19:30.339:  ┃ ┗OBSApp::InitLocale: 1.286 ms
13:19:30.339:  ┗OBSApp::OBSInit: 2343.91 ms
13:19:30.339:    ┣obs_startup: 1.466 ms
13:19:30.339:    ┗OBSBasic::OBSInit: 2303.86 ms
13:19:30.339:      ┣OBSBasic::InitBasicConfig: 0.647 ms
13:19:30.339:      ┣OBSBasic::ResetAudio: 0.276 ms
13:19:30.339:      ┣OBSBasic::ResetVideo: 1675.95 ms
13:19:30.339:      ┣OBSBasic::InitOBSCallbacks: 0.019 ms
13:19:30.339:      ┣OBSBasic::InitHotkeys: 0.06 ms
13:19:30.339:      ┣obs_load_all_modules: 209.323 ms
13:19:30.339:      ┃ ┣obs_init_module(coreaudio-encoder.dll): 12.626 ms
13:19:30.339:      ┃ ┣obs_init_module(enc-amf.dll): 0.779 ms
13:19:30.339:      ┃ ┣obs_init_module(frontend-tools.dll): 2.51 ms
13:19:30.339:      ┃ ┣obs_init_module(image-source.dll): 0.004 ms
13:19:30.339:      ┃ ┣obs_init_module(obs-browser.dll): 0.214 ms
13:19:30.339:      ┃ ┣obs_init_module(obs-ffmpeg.dll): 0.993 ms
13:19:30.339:      ┃ ┣obs_init_module(obs-filters.dll): 0.02 ms
13:19:30.339:      ┃ ┣obs_init_module(obs-outputs.dll): 0.003 ms
13:19:30.339:      ┃ ┣obs_init_module(obs-qsv11.dll): 130.947 ms
13:19:30.339:      ┃ ┣obs_init_module(obs-text.dll): 0.444 ms
13:19:30.339:      ┃ ┣obs_init_module(obs-transitions.dll): 0.006 ms
13:19:30.339:      ┃ ┣obs_init_module(obs-x264.dll): 0.002 ms
13:19:30.339:      ┃ ┣obs_init_module(rtmp-services.dll): 0.761 ms
13:19:30.339:      ┃ ┣obs_init_module(text-freetype2.dll): 0.051 ms
13:19:30.339:      ┃ ┣obs_init_module(vlc-video.dll): 0.051 ms
13:19:30.339:      ┃ ┣obs_init_module(win-capture.dll): 0.211 ms
13:19:30.339:      ┃ ┣obs_init_module(win-decklink.dll): 12.569 ms
13:19:30.339:      ┃ ┣obs_init_module(win-dshow.dll): 2.906 ms
13:19:30.339:      ┃ ┣obs_init_module(win-mf.dll): 2.186 ms
13:19:30.339:      ┃ ┣obs_init_module(win-wasapi.dll): 0.006 ms
13:19:30.339:      ┃ ┗reset_win32_symbol_paths: 1.188 ms
13:19:30.339:      ┣OBSBasic::ResetOutputs: 18.121 ms
13:19:30.339:      ┣OBSBasic::CreateHotkeys: 0.051 ms
13:19:30.339:      ┣OBSBasic::InitService: 0.391 ms
13:19:30.339:      ┣OBSBasic::InitPrimitives: 0.626 ms
13:19:30.339:      ┗OBSBasic::Load: 334.413 ms
13:19:30.339: obs_hotkey_thread(25 ms): min=0.003 ms, median=0.012 ms, max=2.336 ms, 99th percentile=0.285 ms, 100% below 25 ms
13:19:30.339: audio_thread(Audio): min=0.001 ms, median=0.131 ms, max=0.36 ms, 99th percentile=0.255 ms
13:19:30.339: obs_video_thread(33.3333 ms): min=0.335 ms, median=1.064 ms, max=60.332 ms, 99th percentile=13.19 ms, 99.5976% below 33.333 ms
13:19:30.339:  ┣tick_sources: min=0.001 ms, median=0.008 ms, max=59.359 ms, 99th percentile=0.459 ms
13:19:30.339:  ┣render_displays: min=0.001 ms, median=0.468 ms, max=14.09 ms, 99th percentile=2.22 ms
13:19:30.339:  ┗output_frame: min=0.211 ms, median=0.328 ms, max=53.876 ms, 99th percentile=1.031 ms
13:19:30.339:    ┣gs_context(video->graphics): min=0.114 ms, median=0.208 ms, max=53.874 ms, 99th percentile=0.799 ms
13:19:30.340:    ┃ ┣render_video: min=0.038 ms, median=0.056 ms, max=1.127 ms, 99th percentile=0.27 ms
13:19:30.340:    ┃ ┃ ┣render_main_texture: min=0.008 ms, median=0.018 ms, max=0.291 ms, 99th percentile=0.114 ms
13:19:30.340:    ┃ ┃ ┣render_output_texture: min=0.003 ms, median=0.015 ms, max=1.076 ms, 99th percentile=0.124 ms
13:19:30.340:    ┃ ┃ ┣render_convert_texture: min=0.001 ms, median=0.013 ms, max=0.334 ms, 99th percentile=0.065 ms
13:19:30.340:    ┃ ┃ ┗stage_output_texture: min=0 ms, median=0.004 ms, max=0.179 ms, 99th percentile=0.105 ms
13:19:30.340:    ┃ ┣download_frame: min=0 ms, median=0.004 ms, max=1.567 ms, 99th percentile=0.03 ms
13:19:30.340:    ┃ ┗gs_flush: min=0.038 ms, median=0.114 ms, max=53.803 ms, 99th percentile=0.517 ms
13:19:30.340:    ┗output_video_data: min=0.083 ms, median=0.106 ms, max=0.605 ms, 99th percentile=0.319 ms
13:19:30.340: video_thread(video): min=0.001 ms, median=0.002 ms, max=0.128 ms, 99th percentile=0.006 ms
13:19:30.340: =================================================
13:19:30.340: == Profiler Time Between Calls ==================
13:19:30.340: obs_hotkey_thread(25 ms): min=24.619 ms, median=24.999 ms, max=26.998 ms, 99.8628% within ±2% of 25 ms (0% lower, 0.137174% higher)
13:19:30.340: obs_video_thread(33.3333 ms): min=6.324 ms, median=33.333 ms, max=60.342 ms, 99.1935% within ±2% of 33.333 ms (0.403226% lower, 0.403226% higher)
13:19:30.340: =================================================
13:19:30.361: Number of memory leaks: 1
2017-01-20 13-19-11.txt (12,215 bytes)

David Carlstrom

2017-01-20 18:32

reporter   ~0001628

Added logs working in OBS Classic and not working in OBS Studio 17.0.2.

Is there a plan to fix this? I would really appreciate it and will help in any way I can. I'm serious. Tell me what to do.

Leonardo Coutinho

2017-06-05 20:46

reporter   ~0001997

guys, how I can help to fix this? give logs help in any way? in VLC camcorder work okay

dodgepong

2017-06-05 20:51

administrator   ~0001998

It's more a matter of finding someone who wants to work on it.

Issue History

Date Modified Username Field Change
2016-11-17 20:48 Guido Visser New Issue
2017-01-03 23:01 dodgepong Note Added: 0001540
2017-01-04 16:58 Guido Visser File Added: OBS-Classic - 2017-01-04-1756-54.log
2017-01-04 16:59 Guido Visser File Added: OBS-Studio - 2017-01-04 17-53-44.txt
2017-01-04 17:10 Guido Visser Note Added: 0001542
2017-01-20 18:29 David Carlstrom File Added: 2017-01-20-1308-43.log
2017-01-20 18:29 David Carlstrom File Added: 2017-01-20 13-19-11.txt
2017-01-20 18:32 David Carlstrom Note Added: 0001628
2017-05-20 18:59 Rodney Relationship added has duplicate 0000912
2017-06-05 20:46 Leonardo Coutinho Note Added: 0001997
2017-06-05 20:51 dodgepong Note Added: 0001998
2017-12-21 15:17 Fenrir Relationship added related to 0001089
2017-12-21 15:18 Fenrir Relationship added has duplicate 0001090
2018-04-03 22:32 Rodney Relationship added has duplicate 0001212
2019-02-22 19:44 Fenrir Category AVCapture Plugin => Video Capture Device Plugin
2019-02-22 21:27 Fenrir Category Video Capture Device Plugin => Video Capture Device Plugin (Windows)
2019-02-22 21:27 Fenrir Category Video Capture Device Plugin (Windows) => Video Capture Device Source (Windows)